Subject: fpending.c:27:1: error: redefinition of '__fpending'

From: "R. Diez" <[email-masked]>
Date: Fri, 24 Jan 2014 18:56:40 +0000 (GMT)

Hi all:

I tried to download and build idutils under Cygwin, and I came across this error message:

----------8<----------8<----------8<----------
 CC       fpending.o
fpending.c:27:1: error: redefinition of '__fpending'
 __fpending (FILE *fp)
 ^
In file included from fpending.h:30:0,
                 from fpending.c:22:
/usr/include/stdio_ext.h:47:1: note: previous definition of '__fpending' was here
 __fpending (FILE *__fp) { return __fp->_p - __fp->_bf._base; }
 ^
Makefile:1590: recipe for target 'fpending.o' failed
----------8<----------8<----------8<----------

This is from the configuration log:

----------8<----------8<----------8<----------
checking for __fpending... no
...
checking whether __fpending is declared... yes
----------8<----------8<----------8<----------

This message states that the problem was fixed upstream:

  http://cygwin.com/ml/cygwin/2013-08/msg00187.html

I tried running the 'bootstrap' script, and it did work:

----------8<----------8<----------8<----------
  checking for __fpending... yes
  checking whether __fpending is declared... yes
----------8<----------8<----------8<----------

Therefore, would you consider building a new idutils release without this problem?

Please copy me on any answers, as I am not subscribed to this list.

Thanks,
  rdiez